OpenNMS API 1.2.9

## org.opennms.web.vulnerability
Class VulnerabilityFactory.SortStyle

    java.lang.Object
      org.opennms.web.vulnerability.VulnerabilityFactory.SortStyle

Enclosing class:
  VulnerabilityFactory

public static class VulnerabilityFactory.SortStyle
extends java.lang.Object

Convenience class to determine sort style of a query.

Field Summary
`static int` `_CREATE_TIME`
`static int` `_ID`
`static int` `_INTERFACE`
`static int` `_NODE`
`static int` `_PORT`
`static int` `_PROTOCOL`
`static int` `_RESOLVED_TIME`
`static int` `_REVERSE_CREATE_TIME`
`static int` `_REVERSE_ID`
`static int` `_REVERSE_INTERFACE`
`static int` `_REVERSE_NODE`
`static int` `_REVERSE_PORT`
`static int` `_REVERSE_PROTOCOL`
`static int` `_REVERSE_RESOLVED_TIME`
`static int` `_REVERSE_SERVICE`
`static int` `_REVERSE_SEVERITY`
`static int` `_SERVICE`
`static int` `_SEVERITY`
`static VulnerabilityFactory.SortStyle` `CREATE_TIME`
`protected int` `id`
`static VulnerabilityFactory.SortStyle` `ID`
`static VulnerabilityFactory.SortStyle` `INTERFACE`
`protected java.lang.String` `name`
`static VulnerabilityFactory.SortStyle` `NODE`
`static VulnerabilityFactory.SortStyle` `PORT`
`static VulnerabilityFactory.SortStyle` `PROTOCOL`
`static VulnerabilityFactory.SortStyle` `RESOLVED_TIME`
`static VulnerabilityFactory.SortStyle` `REVERSE_CREATE_TIME`
`static VulnerabilityFactory.SortStyle` `REVERSE_ID`
`static VulnerabilityFactory.SortStyle` `REVERSE_INTERFACE`
`static VulnerabilityFactory.SortStyle` `REVERSE_NODE`
`static VulnerabilityFactory.SortStyle` `REVERSE_PORT`
`static VulnerabilityFactory.SortStyle` `REVERSE_PROTOCOL`
`static VulnerabilityFactory.SortStyle` `REVERSE_RESOLVED_TIME`
`static VulnerabilityFactory.SortStyle` `REVERSE_SERVICE`
`static VulnerabilityFactory.SortStyle` `REVERSE_SEVERITY`
`static VulnerabilityFactory.SortStyle` `SERVICE`
`static VulnerabilityFactory.SortStyle` `SEVERITY`

Constructor Summary
`private` `VulnerabilityFactory.SortStyle(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _ID

    public static final int _ID

See Also:
  Constant Field Values

### _SEVERITY

    public static final int _SEVERITY

See Also:
  Constant Field Values

### _NODE

    public static final int _NODE

See Also:
  Constant Field Values

### _INTERFACE

    public static final int _INTERFACE

See Also:
  Constant Field Values

### _SERVICE

    public static final int _SERVICE

See Also:
  Constant Field Values

### _CREATE_TIME

    public static final int _CREATE_TIME

See Also:
  Constant Field Values

### _RESOLVED_TIME

    public static final int _RESOLVED_TIME

See Also:
  Constant Field Values

### _PORT

    public static final int _PORT

See Also:
  Constant Field Values

### _PROTOCOL

    public static final int _PROTOCOL

See Also:
  Constant Field Values

### ID

    public static final VulnerabilityFactory.SortStyle ID

### SEVERITY

    public static final VulnerabilityFactory.SortStyle SEVERITY

### NODE

    public static final VulnerabilityFactory.SortStyle NODE

### INTERFACE

    public static final VulnerabilityFactory.SortStyle INTERFACE

### SERVICE

    public static final VulnerabilityFactory.SortStyle SERVICE

### CREATE_TIME

    public static final VulnerabilityFactory.SortStyle CREATE_TIME

### RESOLVED_TIME

    public static final VulnerabilityFactory.SortStyle RESOLVED_TIME

### PORT

    public static final VulnerabilityFactory.SortStyle PORT

### PROTOCOL

    public static final VulnerabilityFactory.SortStyle PROTOCOL

### _REVERSE_ID

    public static final int _REVERSE_ID

See Also:
  Constant Field Values

### _REVERSE_SEVERITY

    public static final int _REVERSE_SEVERITY

See Also:
  Constant Field Values

### _REVERSE_NODE

    public static final int _REVERSE_NODE

See Also:
  Constant Field Values

### _REVERSE_INTERFACE

    public static final int _REVERSE_INTERFACE

See Also:
  Constant Field Values

### _REVERSE_SERVICE

    public static final int _REVERSE_SERVICE

See Also:
  Constant Field Values

### _REVERSE_CREATE_TIME

    public static final int _REVERSE_CREATE_TIME

See Also:
  Constant Field Values

### _REVERSE_RESOLVED_TIME

    public static final int _REVERSE_RESOLVED_TIME

See Also:
  Constant Field Values

### _REVERSE_PORT

    public static final int _REVERSE_PORT

See Also:
  Constant Field Values

### _REVERSE_PROTOCOL

    public static final int _REVERSE_PROTOCOL

See Also:
  Constant Field Values

### REVERSE_ID

    public static final VulnerabilityFactory.SortStyle REVERSE_ID

### REVERSE_SEVERITY

    public static final VulnerabilityFactory.SortStyle REVERSE_SEVERITY

### REVERSE_NODE

    public static final VulnerabilityFactory.SortStyle REVERSE_NODE

### REVERSE_INTERFACE

    public static final VulnerabilityFactory.SortStyle REVERSE_INTERFACE

### REVERSE_SERVICE

    public static final VulnerabilityFactory.SortStyle REVERSE_SERVICE

### REVERSE_CREATE_TIME

    public static final VulnerabilityFactory.SortStyle REVERSE_CREATE_TIME

### REVERSE_RESOLVED_TIME

    public static final VulnerabilityFactory.SortStyle REVERSE_RESOLVED_TIME

### REVERSE_PORT

    public static final VulnerabilityFactory.SortStyle REVERSE_PORT

### REVERSE_PROTOCOL

    public static final VulnerabilityFactory.SortStyle REVERSE_PROTOCOL

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### VulnerabilityFactory.SortStyle

    private VulnerabilityFactory.SortStyle(java.lang.String name,
                                           int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.